Check API key identity
curl --request GET \
--url https://studio.eigenpal.com/api/v1/auth/check \
--header 'Authorization: Bearer <token>'import requests
url = "https://studio.eigenpal.com/api/v1/auth/check"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://studio.eigenpal.com/api/v1/auth/check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"tenantId": "<string>",
"tenantSlug": "<string>",
"tenantName": "<string>",
"userId": "<string>",
"keyId": "<string>",
"email": "<string>",
"name": "<string>",
"scope": [
"<string>"
],
"wildcardGranted": true
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>"
}Metadata
Check API key identity
Return the tenant, user, API key, and scope represented by the current API key.
GET
/
api
/
v1
/
auth
/
check
Check API key identity
Authorizations
API key issued from Settings → API Keys. Pass as Authorization: Bearer <key>.
⌘I